<?php
namespace app\cxinv\model;

class Pay extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'payNo'  =>'varchar',//订单编号
        'apply_id'  =>'int',//申请人id
        'apply_name'  =>'varchar',//申请人名称
        'supplierNo'  =>'varchar',//供应商编号
        'supplierName'  =>'varchar',//供应商名称
        'companyNo'  =>'varchar',//业务企业名称
        'companyName'  =>'varchar',//业务企业名称
        'pay_type'  =>'tinyint',//对账单类型 1采购对账单 2 运费对账
        'total_fee'  =>'decimal',//对账总金额
        'apay_fee'  =>'decimal',//已付金额
        'pay_fee'  =>'decimal',//付款中金额
        'wpay_fee'  =>'decimal',//未付金额
        'ainv_fee'  =>'decimal',//已回发票
        'inv_fee'  =>'decimal',//回票中金额
        'winv_fee'  =>'decimal',//未回发票
        'inv_status'  =>'tinyint',//开票状态 1 未开票 2 部分开票 3 已开票
        'pay_status'  =>'tinyint',//付款状态 1 未付2部分付款 3 已付款
        'status'  =>'tinyint',//0 待提交 1 待买方审核 2 审核成功 3驳回 4 对账单无效，释放采购单数据
        'is_comon'  =>'tinyint',//是否是通用订单对账 0 否1是
        'inv_tag'  =>'tinyint',//回票标签
        'pay_tag'  =>'tinyint',//付款标签
        'inv_tag_fee'  =>'decimal',//回票标签金额
        'pay_tag_fee'  =>'decimal',//付款标签金额
        'remark'  =>'varchar',//备注
        'is_del'  =>'tinyint',//是否删除 0 否1 是
        'addtime'  =>'datetime',//新建时间
        'updatetime'  =>'datetime',//更新时间
       ];
}