<?php
namespace app\cxinv\model;

class AdminMenu extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'menu_name'  =>'varchar',//菜单名称
        'menu_code'  =>'varchar',//菜单编号
        'menu_img'  =>'varchar',//菜单图片
        'menu_route'  =>'varchar',//菜单路由
        'menu_url'  =>'varchar',//菜单url
        'pid'  =>'bigint',//父级id
        'is_show'  =>'int',//是否显示1显示0 隐藏
        'is_private'  =>'int',//是否私有
        'weight'  =>'double',//权重
        'level'  =>'tinyint',//菜单等级 1只有超管看2级只有运营看 3 所有人都能看
        'status'  =>'int',//状态 0禁用1启用
        'is_del'  =>'tinyint',//是否删除 1删除0否
        'addtime'  =>'datetime',//
        'updatetime'  =>'datetime',//
        'menu_type'  =>'tinyint',//1菜单2 页面
       ];
    
    public static function GetMenu($menuid){
    	$info=self::where(['id'=>$menuid,'is_del'=>0])->findOrEmpty();
    	if($info->pid>0){
    		$paren = self::where(['id'=>$menuid,'is_del'=>0])->findOrEmpty();
    	}
    	return ['menu_name'=>$info->menu_name,'parent'=>$paren->menu_name??'','paren_id'=>$info->pid];
    }
    
    public static function GetAction($action){
    	return self::name('view_menu')
    	->where(['aid'=>$action])
    	->column('id parent_id,menu_name parent_name,cname menu_name,cid menu_id,action_name,aid action_id');
    }
}